<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		
	let Animal=function(){
		this.peso=0;
		Animal.pelo="si";
		this.comer=function(){
			console.log("ÑAM");
		};

		this.tienePelo=function(){
			/*dentro de un método no estático si podemos acceder a miembros estáticos*/
			console.log("tienepelo??"+Animial.pelo);
		};

		Animal.estatico=function() {
			console.log("esto es un elemento de la clase");
			/*dentro de un elemento estático no puedo llamar a elementos no estáticos this.comer();*/
			console.log(Animal.pelo);
		};
	};

	let leon=new Animal();
	/*Produce error ya que es un método de la clase y no del objeto leon.estatico*/
	Animal.estatico();
	console.log(Animal.pelo);
	leon.tienePelo();
	/*Esto esta vacío porque es un elemento de la clase y no del objeto console.log(leon.pelo);*/




	</script>
</head>
<body>
	
</body>
</html>